Download video file
curl --request GET \
--url https://api.maxapi.ai/hailuo/v1/files/retrieve \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.maxapi.ai/hailuo/v1/files/retrieve"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.maxapi.ai/hailuo/v1/files/retrieve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.maxapi.ai/hailuo/v1/files/retrieve"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.maxapi.ai/hailuo/v1/files/retrieve")
.header("Authorization", "Bearer <token>")
.asString();{
"file": {
"file_id": "file_abc123",
"bytes": 5242880,
"created_at": 1704067200,
"filename": "video.mp4",
"purpose": "video_generation",
"download_url": "https://example.com/download/video.mp4"
},
"base_resp": {
"status_code": 0,
"status_msg": "success"
}
}Download video file
Use this endpoint to call the provider-compatible download video file operation through MaxAPI.
GET
https://api.maxapi.ai
/
hailuo
/
v1
/
files
/
retrieve
Download video file
curl --request GET \
--url https://api.maxapi.ai/hailuo/v1/files/retrieve \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.maxapi.ai/hailuo/v1/files/retrieve"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.maxapi.ai/hailuo/v1/files/retrieve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.maxapi.ai/hailuo/v1/files/retrieve"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.maxapi.ai/hailuo/v1/files/retrieve")
.header("Authorization", "Bearer <token>")
.asString();{
"file": {
"file_id": "file_abc123",
"bytes": 5242880,
"created_at": 1704067200,
"filename": "video.mp4",
"purpose": "video_generation",
"download_url": "https://example.com/download/video.mp4"
},
"base_resp": {
"status_code": 0,
"status_msg": "success"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
文件ID
Example:
"file_abc123"
Response
200 - application/json
Request succeeded.